/*****************************************************************************
 * © 2014 Avaya Inc. All rights reserved.
 ****************************************************************************/
package com.avaya.zephyr.services.sample_services.ClickToCall;

import java.io.UnsupportedEncodingException;
import com.avaya.collaboration.businessdata.api.NoAttributeFoundException;

interface RequestProcessor
{
    void processHttpPost(String body) throws UnsupportedEncodingException, NoAttributeFoundException;
    String getHandle(String phoneNumber);
    String buildPhoneNumber(String phoneNumber) throws NoAttributeFoundException;
    String getDomain(String phoneNumber) throws NoAttributeFoundException;
}
